Skip to content

Get a device's NTRIP credentials at a priority​

GET
/devices/{id}/rtk/ntrip/{priority}

Returns the NTRIP credentials configured at the requested priority.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required
priority*

Credential priority

Type
integer
Required

Request example

Responses​

OK

application/json
JSON
{
  
"deviceId": 0,
  
"hostname": "string",
  
"mountpoint": "string",
  
"password": "string",
  
"portNum": 0,
  
"priority": 0,
  
"username": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value